/*********************************************
Project : Commande de la parabole
Version : 1
Mise  jour: 18/11/2009
Author  : Philippe Mariano                
Company : LYCEE Pierre Emile MARTIN       
Comments: Fichier destin au systme
Chip type           : ATMEGA8535
Clock frequency     : 8,000000 MHz
Memory model        : Small
Internal SRAM size  : 512
External SRAM size  : 0
Data Stack size     : 128
*********************************************/

#include <mega8535.h>

// =====================================================================================================
void main(void)
// =====================================================================================================
{
//-------------------------------------------------------------------------------------------------------
// Declare your local variables here
//-------------------------------------------------------------------------------------------------------
// type 	nom              				Description
//-------------------------------------------------------------------------------------------------------
unsigned char Moteur, BP;
//-------------------------------------------------------------------------------------------------------

// Configuration du Port A en entre
//-------------------------------------------------------------------------------------------------------
DDRA=  0x00 ;        		 					// <--  complter

// Configuration du port C en sortie 
//-------------------------------------------------------------------------------------------------------
DDRC=  0x03; 				       				// <--  complter

while (1)
      {
       BP = PINA & 0x06; 	// Lecture du port A et masquage
       if (BP==2) Moteur = 2;
                 else if ((BP==4) || (BP==6)) Moteur = 1;	// <--  complter
                 			      else Moteur = 0;
       PORTC=Moteur;						// <--  complter Ecriture sur le port C
      };
}
